import express from "express";
import {
  createVisit,
  getVisitsByDistributor,
}
from "./VisitRD&PDController.js";
import {
  isAuthenticated_SC_TM
} from "../../middlewares/generalAuth.js";

const router = express.Router();

router.post(
  "/visit",
  isAuthenticated_SC_TM,
  createVisit
);

router.get(
  "/visit/:distributorType/:distributorId",
  isAuthenticated_SC_TM,
  getVisitsByDistributor
);

export default router;